theme update

I love the look of these themes but am not sure if they are 1.7 compatible could someone tell me if they are or tell me how to update them?